/*
 * MCP9700.h
 *
 * Created: 13.12.2016 09:27:06
 *  Author: CLEVO
 */ 


#ifndef MCP9700_H_
#define MCP9700_H_

	#define calcTemp(x)       ((x*10)/2.048-500) // Umrechnung in Zehntel Grad

	// TA =400mV =0
	// TC =10mV/C
	// VOUT = TC  TA + V0C        0,6V  = 0,01V * 20 +0.4V
	// TA= (VOUT-V0)/TC
	// TA = Ambient Temperature
	// VOUT = Sensor Output Voltage
	// V0C = Sensor Output Voltage at 0C
	// (See DC Electrical Characteristics
	// table)
	// TC = Temperature Coefficient

#endif /* MCP9700_H_ */