/*
 * Modbus_Proto_.h
 *
 * Created: 28.04.2017 14:32:00
 *  Author: CLEVO
 */ 


#ifndef MODBUS_PROTO__H_
#define MODBUS_PROTO__H_

#include 	<inttypes.h>
#include <stdbool.h>

#define MAX_MOD_REGISTERS 20
#define TIME_OUT_OFFLINE  20

extern volatile unsigned short ModbusData[MAX_MOD_REGISTERS];
extern  unsigned char Modbus_add;

//extern volatile uint8_t comtimeout;
//extern  uint8_t comtimeout;
extern volatile uint8_t comtimeout;
extern volatile bool ready_to_answer;
extern char Buffer[40];
extern int _index;

void ModbusPrint(char Function,char * data,char len);
//void ModbusEngine(void);
void ModbusScan(unsigned char dat);
void ModbusCallBack(char PID,char TYP,char * data,char len);
//void Swaper(unsigned short *buffer, char count);
//void ModbusTimeoutTrigger10ms(void);




#define MOD_READ_HOLDING_REG  0x03
#define MOD_READ_INPUT_REG    0x04

#define MOD_WRITE_SINGLE_REG  0x06
#define MOD_WRITE_MULTI_REG   0x10

#define MOD_READ_WRITE_MULTI_REG   0x17



#endif /* MODBUS_PROTO__H_ */