/*
 * main.h
 *
 * Created: 01.09.2013 11:59:59
 *  Author: Peter
 */ 


#ifndef MAIN_H_
#define MAIN_H_

#include "standard.h"

#include "uart.h"
#include "crc16.h"
#include "MCP9700.h"
#include "spannungsteiler.h"


#include "Modbus_Proto.h"


// CANOPEN_Header






// Set Baudrate
#define UART0_BAUD_RATE 9600
#define UART1_BAUD_RATE 9600




	#define AN_Target_Temp 				PA0
	#define	AN_Target_Voltage			PA1
	#define IN_State_BTS3_4				PA2
	#define Out_4						PA3
	#define IN_Valve_open 				PA4
	#define IN_Valve_close				PA5
	#define IN_Valve_ok					PA6
	#define IN_Valve_center				PA7
	
	#define	OUT_RUNLED					PB0
	#define	IN_Hex2						PB1		
	#define IN_Hex8						PB2
	#define IN_Hex4						PB3
	#define IN_Hex1						PB4
	#define IN_SW_CW					PB5
	#define	IN_SW_CCW					PB6
	#define	IN_SW_ZU					PB7
	
	//#define							PC0
	//#define 							PC1
	//#define 							PC2
	//#define 							PC3
	//#define							PC4
	//#define 							PC5
	//#define							PC6
	//#define							PC7
	
	#define RX0							PD0
	#define TX0							PD1
	#define	OUT_Enable485				PD2
	#define	IN_SW_AUF					PD3
	#define	Out_3						PD4
	#define Out_2						PD5
	#define IN_State_BTS1_2				PD6
	#define	Out_1						PD7
	
	


void Transmit(uint8_t *cData,uint8_t len);
void Transmit_1(uint8_t *cData,uint8_t len);

enum ANALOG_
{
	ROW_TEMP_TARGET=0,
	ROW_VOLTAGE_TARGET
}analog_;

enum REGISTER
{
	STATUS_WORD=0,
	CONTROL_WORD,
	RUNTIME,
	SOFTWARE_VERSION,
	TARGET_VOLTAGE,
	TARGET_TEMPERATUR
}register_;

#endif /* MAIN_H_ */