/*
 * spannungsteiler.h
 *
 * Created: 04.06.2016 16:35:44
 *  Author: Peter
 */ 


#ifndef SPANNUNGSTEILER_H_
#define SPANNUNGSTEILER_H_

	#define		R1			10000.0f		// Wiederstandswert1
	#define		R2			2200.0f			// Wiederstandswert2
	#define		Utarget		5000.0f				// Versorgung ADC bzw Atmel
	#define		ADCstep		(Utarget/1024)	// 
	
	#define		Uschw1		10.3f
	#define		Ig1			Uschw1/(R1+R2)
	#define		Uadc1		R2*Ig1
	
	#define		Uschw2		21.5f
	#define		Ig2			Uschw2/(R1+R2)
	#define		Uadc2			R2*Ig2
	
	#define		Uschw3		14.0f
	#define		Ig3			Uschw3/(R1+R2)
	#define		Uadc3		R2*Ig3
	
	
	#define		UV_12V		((Uadc1/ADCstep)+0.5)
	#define		UV_24V		((Uadc2/ADCstep)+0.5)
	#define		_14V		((Uadc3/ADCstep)+0.5)

	#define voltage_calc(x)       x*ADCstep*((R1+R2)/R2);


#endif /* SPANNUNGSTEILER_H_ */